Bug 1048044 (CVE-2013-6462) - CVE-2013-6462 libXfont: stack-based buffer overflow flaw when parsing Glyph Bitmap Distribution Format (BDF) fonts
Summary: CVE-2013-6462 libXfont: stack-based buffer overflow flaw when parsing Glyph B...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-6462
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1048048 1049569 1049684 1049685 1049686 1049687
Blocks: 1048049
TreeView+ depends on / blocked
 
Reported: 2014-01-03 01:39 UTC by Murray McAllister
Modified: 2021-02-17 07:02 UTC (History)
8 users (show)

Fixed In Version: libXfont 1.4.7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-10 09:57:13 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0018 0 normal SHIPPED_LIVE Important: libXfont security update 2014-01-10 14:43:43 UTC

Description Murray McAllister 2014-01-03 01:39:56 UTC
A stack-based buffer overflow flaw was found in the way the libXfont library, used by the X.Org server, parsed Glyph Bitmap Distribution Format (BDF) fonts. A malicious, local user could exploit this issue to potentially execute arbitrary code with the privileges of the X.Org server.

Acknowledgements:

Red Hat would like to thank the X.Org security team for reporting this issue.

Comment 8 Vincent Danen 2014-01-07 19:13:26 UTC
This issue is now public, and is noted as being fixed in libXfont 1.4.7 via the following commit:

http://cgit.freedesktop.org/xorg/lib/libXfont/commit/?id=4d024ac10f964f6bd372ae0dd14f02772a6e5f63

It is also noted as affecting every version of X from X11R5 to libXfont 1.4.6.


External References:

http://lists.x.org/archives/xorg-announce/2014-January/002389.html

Comment 9 Vincent Danen 2014-01-07 19:15:44 UTC
Created libXfont tracking bugs for this issue:

Affects: fedora-all [bug 1049569]

Comment 12 errata-xmlrpc 2014-01-10 09:46:22 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0018 https://rhn.redhat.com/errata/RHSA-2014-0018.html

Comment 13 Tomas Hoger 2014-01-10 10:22:41 UTC
Some media coverage:

http://www.theregister.co.uk/2014/01/09/x11_has_privilege_escalation_bug/


Note You need to log in before you can comment on or make changes to this bug.